Get Enterprise Milestone List
GET/api/v8/enterprises/:enterprise/milestones
Request
Path Parameters
enterprise stringrequired
Enterprise ID
Query Parameters
access_token stringrequired
User authorization code
name string
Name
state string
Status
order_by string
Sort field. Optional: updated_at
sort string
Sort order. Descending: desc; Ascending: asc
page string
Current page number: defaults to 1
per_page string
The number of items per page, with a maximum of 100. The default is 20.
Responses
- 200
Successful Response
Response Headers
total_count
Total quantity
Example:
total_page
Total pages
Example:
- application/json
- Schema
- Example (auto)
Schema
- Array [
- Array [
- ]
- ]
idid (integer)required
titleTitle (string)required
descriptiondescription (string)required
stateStatus (string)required
created_atcreation time (string)required
updated_atUpdate time (string)required
due_dateDeadline (string)
start_dateStart Time (string)
projects object[]required
idProject ID (integer)required
descriptionstringrequired
nameProject Name (string)required
name_with_namespacestringrequired
pathProject Path (string)required
path_with_namespacestringrequired
created_atstringrequired
updated_atstringrequired
archivedbooleanrequired
[
{
"id": 0,
"title": "string",
"description": "string",
"state": "string",
"created_at": "string",
"updated_at": "string",
"due_date": "string",
"start_date": "string",
"projects": [
{
"id": 0,
"description": "string",
"name": "string",
"name_with_namespace": "string",
"path": "string",
"path_with_namespace": "string",
"created_at": "string",
"updated_at": "string",
"archived": true
}
]
}
]